@echo off
rem #-------------------------------------------------------------------------#
rem #
rem #  \Program Files\HW2-MSB.bat                                  Version 1.3
rem #
rem #  Written by:  NemesisChiken
rem #               May 23, 2004
rem #
rem #  This DOS command file script will process all of the Homeworld 2 .stats
rem #  files found for a given player profile and generate an HTML summary of
rem #  the results.
rem #
rem #  Syntax:  HW2-MSB.bat (profile)
rem #
rem #           where:  (profile) = directory of player profile to process
rem #
rem #-----                    A U D I T   T R A I L                      -----#
rem #
rem #   Date    Who   Description of Change
rem # ======== ===== =========================================================
rem # 05/25/04  rbm  Generalize implementation and execution process
rem # 05/26/04  rbm  Added this documentation
rem # 05/27/04  rbm  Removed path to BROWSER to handle NT/2K systems
rem # 05/28/04  rbm  Added error handling routines
rem # Version 1.1
rem # 06/03/04  rbm  Added Bar Graph support
rem #           rbm  Added additional error handling checks
rem # 06/04/04  rbm  Added display of files/bytes being processed
rem # Version 1.2
rem # 06/10/04  rbm  Fixed W2K issue with quotes, thanks to DevilChiken
rem # version 1.3
rem # 08/12/04  rbm  Fixed w98SE issue with ERRORLEVEL, thanks to Ripper|Eagle
rem #
rem #-------------------------------------------------------------------------#
rem #  Define User Controlled program variables
rem #-------------------------------------------------------------------------#

set HWDRIVE=C:
set HWDIR=\Program Files\Sierra\Homeworld2

set MSBDIR=C:\Program Files\HW2-MSB

set BROWSER=explorer.exe

rem #-------------------------------------------------------------------------#
rem #  Display Banner
rem #-------------------------------------------------------------------------#

echo *
echo ***************************************************
echo *
echo *  NemesisChiken's Multiplayer Stats Browser v1.3
echo *
echo ***************************************************

rem #-------------------------------------------------------------------------#
rem #  Process command parameters
rem #-------------------------------------------------------------------------#

if "%1"=="" goto NOPARAMS

rem #-------------------------------------------------------------------------#
rem #  Define static program variables
rem #-------------------------------------------------------------------------#

set PROFDIR=%HWDIR%\Bin\Profiles\%1

rem #-------------------------------------------------------------------------#
rem #-------------------------------------------------------------------------#
rem #
rem #  Start of Main Line
rem #
rem #-------------------------------------------------------------------------#
rem #-------------------------------------------------------------------------#

echo *
echo *  HW2-MSB PROCESSING STATISTICS .... PLEASE WAIT
echo *

rem #-------------------------------------------------------------------------#
rem #  Switch to proper HW2 Directory for scanning .stat files
rem #-------------------------------------------------------------------------#

%HWDRIVE%
CD %PROFDIR%\Stats

if ERRORLEVEL 1 goto NOSTATSDIR
rem -- if %ERRORLEVEL% == 0 goto GENERATE

rem #-------------------------------------------------------------------------#
rem #  Execute AWK program to generate HTML file
rem #-------------------------------------------------------------------------#

dir | find "File(s)"

"%MSBDIR%\gawk" -f "%MSBDIR%\HW2-MSB.awk" *.stats > "%PROFDIR%\HW2-MSB.html"

if ERRORLEVEL 1 goto BADGEN
rem -- if %ERRORLEVEL% == 0 goto BROWSE

rem #-------------------------------------------------------------------------#
rem #  Launch Browser to view results
rem #-------------------------------------------------------------------------#

copy "%MSBDIR%\graph_bar_gray.gif" "%PROFDIR%\graph_bar_gray.gif" > nul

%BROWSER% "%PROFDIR%\HW2-MSB.html"

if ERRORLEVEL 1 goto BADBROWSE
rem -- if %ERRORLEVEL% == 1 goto EOJ
goto EOJ

rem #-------------------------------------------------------------------------#
rem #  Generate various ERROR Handling messages
rem #-------------------------------------------------------------------------#

:NOPARAMS

echo *
echo ***************************************************
echo *
echo *  HW2 PROFILE NOT SPECIFIED AS COMMAND PARAMETER
echo *  syntax:  HW2-MSB (profile)
echo *
echo ***************************************************
echo *
pause
exit

:NOSTATSDIR

echo *
echo ***************************************************
echo *
echo *  UNABLE TO FIND THE HOMEWORLD2 STATS DIRECTORY:
echo *  %HWDRIVE%%PROFDIR%\Stats
echo *
echo ***************************************************
echo *
pause
exit

:BADGEN

echo *
echo ***************************************************
echo *
echo *  AN ERROR WAS DETECTED IN HTML GENERATION PHASE
echo *
echo ***************************************************
echo *
pause
exit

:BADBROWSE

echo *
echo ***************************************************
echo *
echo *  AN ERROR WAS DETECTED IN BROWSING HTML RESULTS
echo *
echo ***************************************************
echo *
pause
exit

rem #-------------------------------------------------------------------------#
rem #  End of Program
rem #-------------------------------------------------------------------------#

:EOJ

echo *
echo ***************************************************
echo *

rem -- pause
